2

I am running on Ubuntu 18.10 and emacs 25.2,

I changed the default font to

(set-default-font "Monaco 14")

but get error report as:

Debugger entered--Lisp error: (error "Font ‘tty’ is not defined")
  modify-frame-parameters(#<frame ~/Documents/Pubrepo/Algorithms/Algorithms_Wiley/graph_BFS.py 0x10d2c30> ((display . ":0") (minibuffer . t) (frameset--mini t) (frameset--id . "653D-A79A-BCEA-2E8C") (internal-border-width . 0) (unsplittable) (modeline . t) (width . 140) (height . 76) (font . "tty") (border-color . "#424242") (background-color . "#000000") (menu-bar-lines . 0) (vertical-scroll-bars) (tool-bar-lines . 0) (cursor-color . "#d54e53") (foreground-color . "#eaeaea") (background-mode . dark) (display-type . color)))

I googled but found no such a font tty.

How could I solve the problem?

1

set-default-font is deprecated:

This function is obsolete since 23.1;
use set-frame-font instead.

You can just change it to something like this:

(set-frame-font "Monaco-14")
3
  • 1
    thank you, I learned from your answer, but this time it report error Error (frameset): Font ‘tty’ is not defined
    – Alice
    Jan 12 '19 at 13:40
  • Are you using Emacs in a terminal?
    – user12563
    Jan 12 '19 at 13:51
  • (add-to-list 'default-frame-alist '(font . "Monaco-13")) works. thank you very much.
    – Alice
    Jan 12 '19 at 14:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.